/// <reference types="react" />
import { DataFormControl } from "../DataFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class SliderFormControl extends DataFormControl {
    readonly __type: string;
    min: number;
    max: number;
    step: number;
    defaultValue?: number;
    showMinMaxValues: boolean;
    constructor();
    componentDidMount(): void;
    setValueFromDefaultValue(): void;
    render(): JSX.Element;
    handleChange: (event: any, newValue: number | number[]) => void;
    getValue: () => number | undefined;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
